Subject: RE: bug#3568: 23.0.94; no doc for character composition

From: Drew Adams <[email-masked]>
Date: Wed, 27 Apr 2016 12:42:56 -0700 (PDT)

> > I can find no doc at all regarding character composition, beyond the
> > cursory explanation given in the Emacs manual, node Input Methods.
> >
> > In particular, there is nothing in the Elisp manual about it. No
> > documentation of functions such as `compose-region' and
> > `compose-chars'.
> >
> > And there is no usage commentary in `composite.el'.
> >
> > How does one compose characters using Emacs Lisp? If characters have
> > been composed, how do you decompose them? Are there any caveats to be
> > aware of? Users will have such questions.
> 
> `compose-region' has a very long doc string...  And it seems to have
> been added to after you wrote this bug report.  Does it answer your
> questions now?

No.  `compose-region' already had that doc string when the bug was
reported.  That doc string has been around since at least Emacs 22.

I would expect some conceptual explanation of character composition
in the Elisp manual.  Including how to decompose composed chars etc.
What the bug report mentions.  I don't think that a doc string for
one command covers this topic.